Subject: Re: bug#35363: 12.1.2; Generation of previews fails under Windows 10

From: Arash Esbati <[email-masked]>
Date: Tue, 23 Apr 2019 22:32:42 +0200

Bernt Guldbrandtsen <[email-masked]> writes:

> Recently, generating previews under AUCTeX started to fail. Until some months ago,
> I had a working setup.  The OS is Windows 10 (updated). A minimal working
> example is shown below. Running LaTeX on _region_.tex works and the PDF
> file produced contains the expected content. However, running gs fails
> with no diagnostics.
>
> The machine has MiKTeX's mgs and "normal" gswin64 installed. At the
> Cygwin command prompt both can run the conversion successfully. MiKTeX
> (64 bit version) is updated and has mgs version 9.25. Ghostscript (64
> bit version) is updated and is version 9.27.
>
> In Emacs,
>
>    M-! mgs
>    
> and
>
>    M-! gswin64
>    
> find mgs and gswin64 respectively as expected.
>
> A command such as
>
>   mgs -dDELAYSAFER -sDEVICE=png16m -dPrinter -dNOPLATFONTS
>     -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -o 'pic-%d.png'
>     _region_.pdf
>
> produces the expected png output file.
>
> It looks like mgs fails to run at all despite that Emacs is able
> to find mgs.exe correctly.
>
> Any pointers?

Hi Bernt,

thanks for the report.  I tried your example and it works for me:

It is on a Win10 box but with TeXlive installed and not MikTeX.  Preview
uses in this case `rungs.exe' (TeXlive's counterpart of mgs).  I've set
the variable `preview-gs-command' to gswin64c.exe and indeed it didn't
work as well.  My current guess is that running `pdf2dsc ...' somehow
fails.  TeXlive ships a small executable called pdf2dsc.exe which seems
to do the job.  Does MikTeX comes with such a thing?

Best, Arash